/* Blog page styles */

.top_inner_block_wrapper {
    padding-bottom: 0 !important;
}

.flirtshop-blog h2, .flirtshop-blog h3 {
    text-align: left;
    margin: 36px 0 24px 0;
}

.flirtshop-blog .module-pagination {
    padding: 0;
}

.flirtshop-blog .blog-button {
    display: inline-block;
    padding: 8px 16px;
    border: 1px solid #858689;
    color: #cf0d45;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
    transition-duration: 0.5s;
}

.flirtshop-blog .blog-button div > * {
    vertical-align: middle;
}

.flirtshop-blog .blog-button span {
    display: inline-block;
    transition-duration: 0.5s;
}

.flirtshop-blog .blog-button img {
    margin-right: 0;
    width: 0;
    background-repeat: no-repeat;
    background-size: cover;
    transition-duration: 0.5s;
}

.flirtshop-blog .blog-button:hover img {
    margin-right: 8px;
    width: 16px;
}

/* Element detail */

.flirtshop-blog.detail .pub-date {
    margin-top: 24px;
    font-size: 13px;
    font-style: italic;
}

.flirtshop-blog.detail .detail-footer {
    display: flex;
    margin-top: 24px;
}

.flirtshop-blog.detail a.clickable > * {
    color: #cf0d45;
}

.flirtshop-blog.detail a.clickable:hover > * {
    color: #dc3364;
}

.flirtshop-blog.detail .gallery {
    display: flex;
    flex-wrap: wrap;
    margin-top: 24px;
    margin-bottom: 24px;
}

.flirtshop-blog.detail .gallery > * {
    position: relative;
    height: 200px;
    overflow: hidden;
    border-radius: 12px;
    margin-right: 16px;
}

.flirtshop-blog.detail .gallery > *:hover:after {
    content: "";
    background-image: url("/local/templates/aspro_next/images/svg/zoom-black.svg");
    width: 48px;
    height: 48px;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    filter: invert();
    opacity: 0.5;
    transition-duration: 0.5s;
}

.flirtshop-blog.detail .gallery > *:not(:hover):after {
    opacity: 0;
}

/* Element top list */

.flirtshop-blog.list .subheader {
    font-size: 18px;
    font-weight: bold;
    color: #858689;
    margin-bottom: 24px;
}

.flirtshop-blog.list .element-top-list {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 24px;
    margin-top: 16px;
}

.flirtshop-blog.list .element-top-list .element {
    display: inline-block;
    width: 50%;
}

/* Element */

.flirtshop-blog .element {
    padding: 16px;
}

.flirtshop-blog .element:hover .info .title {
    color: #cf0d45;
}

.flirtshop-blog .element:hover .image img {
    transform: translate(-50%, -50%) scale(1.1);
}

.flirtshop-blog .element .flex {
    display: flex;
    align-items: flex-start;
}

.flirtshop-blog .element a {
    text-decoration: none;
    color: black;
}

.flirtshop-blog .element .image {
    position: relative;
    min-width: 200px;
    overflow: hidden;
    border-radius: 12px;
    aspect-ratio: 2.5/1;
    -webkit-box-shadow: 4px 4px 8px -9px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 4px 4px 8px -9px rgba(34, 60, 80, 0.2);
    box-shadow: 4px 4px 8px -9px rgba(34, 60, 80, 0.2);
}

.flirtshop-blog .element .image img {
    position: absolute;
    transition-duration: 0.5s;
    inset: 0;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.flirtshop-blog .element .info {
    margin-left: 24px;
}

.flirtshop-blog .element .info .title {
    font-size: 20px;
    font-weight: bold;
}

.flirtshop-blog .element .info .announce {
    position: relative;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-top: 8px;
    font-size: 14px;
    line-height: 22px;
    max-height: 44px;
    overflow: hidden;
    max-width: 700px;
}

.flirtshop-blog .element .info .section-title {
    font-size: 13px;
    font-weight: bold;
    color: #858689;
    text-transform: uppercase;
}

.flirtshop-blog .element .info .pub-date {
    margin-top: 4px;
    font-size: 13px;
    color: #858689;
    font-style: italic;
}

/* Section */

.flirtshop-blog.section .no-elements {
    font-size: 18px;
    font-weight: bold;
    padding: 16px 0;
}

.flirtshop-blog.section .section-announce {
    padding-top: 16px;
    margin-top: 16px;
    border-top: 2px solid #e5e7ec;
}

.flirtshop-blog.section .element-list {
    margin-top: 16px;
}

.flirtshop-blog.list .section-list {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 24px;
}

.flirtshop-blog.list .section {
    position: relative;
    display: inline-block;
    width: 33.3%;
    padding: 16px;
}

.flirtshop-blog .section:hover .image img {
    transform: translate(-50%, -50%) scale(1.1);
}

.flirtshop-blog .section:hover .info .announce {
    height: 66px;
}

.flirtshop-blog .section .flex {
    position: relative;
    width: 100%;
    height: 512px;
    border-radius: 16px;
    overflow: hidden;
    -webkit-box-shadow: 4px 4px 8px -2px rgba(34, 60, 80, 0.2);
    -moz-box-shadow: 4px 4px 8px -2px rgba(34, 60, 80, 0.2);
    box-shadow: 4px 4px 8px -2px rgba(34, 60, 80, 0.2);
}

.flirtshop-blog .section .image {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
}

.flirtshop-blog .section .image img {
    position: absolute;
    transition-duration: 1s;
    inset: 0;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.flirtshop-blog .section a {
    text-decoration: none;
    color: white;
}

.flirtshop-blog .section .info {
    position: absolute;
    bottom: 0;
    padding: 24px 24px 76px 24px;
}

.flirtshop-blog .section .flex:after {
    content: "";
    position: absolute;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    z-index: -1;
    height: 70%;
    width: 100%;
    bottom: 0;
}

.flirtshop-blog .section .info .title {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 8px;
    text-transform: uppercase;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.8);
    transition-duration: 0.5s;
}

.flirtshop-blog .section .info .announce {
    position: relative;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    margin-top: 8px;
    font-size: 14px;
    line-height: 22px;
    height: 0;
    overflow: hidden;
    transition-duration: 0.5s;
}

.flirtshop-blog .section .info .show-more {
    position: absolute;
    bottom: 24px;
    font-size: 13px;
    font-weight: bold;
    padding: 6px 10px;
    border: 1px solid white;
    text-transform: uppercase;
}


@media screen and (max-width: 1400px) {

    .flirtshop-blog.list .element-top-list .element {
        padding-left: 0;
        width: 100%;
    }

    .flirtshop-blog.list .section {
        width: 50%;
    }
}

@media screen and (max-width: 700px) {

    .flirtshop-blog.list .section {
        width: 100%;
    }

    .flirtshop-blog .section .image img {
        height: unset;
        width: 100%;
    }
}

@media screen and (max-width: 520px) {

    .flirtshop-blog .blog-button img {
        margin-right: 8px !important;
        width: 16px !important;
    }

    .flirtshop-blog .element {
        padding: 0;
        margin: 24px 0;
    }

    .flirtshop-blog .element .flex {
        display: block;
    }

    .flirtshop-blog .element .image {
        -webkit-box-shadow: unset;
        -moz-box-shadow: unset;
        box-shadow: unset;
    }

    .flirtshop-blog .element .info {
        margin-left: 0;
        margin-top: 16px;
    }

    .flirtshop-blog .element .info .title {
        font-size: 18px;
    }

    .flirtshop-blog.list .section {
        padding: 0 0 16px 0;
    }

    .flirtshop-blog .section .image img {
        height: 100%;
        width: unset;
    }

    .flirtshop-blog .section .flex {
        height: 420px;
    }

    .flirtshop-blog .section .info .announce {
        height: 66px !important;
    }
}